<?php

namespace MGModule\DNSManager2\models\custom\package\server;
use MGModule\DNSManager2 as main;

/**
 * Description of repository
 *
 * @author Michal Czech <michael@modulesgarden.com>
 */
class Repository extends \MGModule\DNSManager2\mgLibs\models\repository{    
    public function getModelClass() {
        return __NAMESPACE__.'\PackageServer';
    }
    
    public function byServerID($serverid) {
        return $this->setFilter('serverid', $serverid);
    }
    
    public function byPackageID($packageid) {
        return $this->setFilter('packageid', $packageid);
    }
}
